package main

func Send(c chan<- int) {
	for i := 1; i < 10; i++ {
		println("sending", i)
		c <- i
	}
	close(c)
}

func Rec(c <-chan int, d chan<- bool) {
	for n := range c {
		println("got", n)
	}
	// alternatively: 
	// done<- true
	close(d)
}

func main() {
	c := make(chan int)
	done := make(chan bool)
	go Send(c)
	go Rec(c, done)
	// alternatively: 
	// <-done
	for range done { }
}


