package main

func Send(c chan<- int, done chan<- bool) {
	for i := 1; i < 10; i++ {
		println("sending", i)
		c <- i
	}
	done <- true
}

func Rec(c <-chan int, d1, d2 <-chan bool, d chan<- bool) {
	b1, b2 := false, false
	for !b1 || !b2 {
		select {
		case n := <-c:
			println("got", n)
		case b1 = <- d1:
		case b2 = <- d2:
		}
	}
	d <- true
}

func main() {
	c := make(chan int)
	d1 := make(chan bool)
	d2 := make(chan bool)
	done := make(chan bool)
	go Send(c, d1)
	go Send(c, d2)
	go Rec(c, d1, d2, done)
	<-done
}
